Skip to main content
GET
/
{chain_id}
/
stats-service
/
api
/
v1
/
pages
/
interchain
/
main
Returns interchain messaging stats to be displayed on the main page of interchain indexer.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/stats-service/api/v1/pages/interchain/main \
  --header 'Authorization: Bearer <token>'
{
  "total_interchain_messages": {
    "description": "<string>",
    "id": "<string>",
    "title": "<string>",
    "units": "<string>",
    "value": "<string>"
  },
  "total_interchain_messages_received": {
    "description": "<string>",
    "id": "<string>",
    "title": "<string>",
    "units": "<string>",
    "value": "<string>"
  },
  "total_interchain_messages_sent": {
    "description": "<string>",
    "id": "<string>",
    "title": "<string>",
    "units": "<string>",
    "value": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Response

A successful response.

Interchain messaging statistics for the main page. Fields are optional because individual charts may be disabled.

total_interchain_messages
object
total_interchain_messages_received
object
total_interchain_messages_sent
object